Subject: Re: Root stimulants

From: [email-masked] (ABSORBU)
Date: 7 Sep 1995 09:34:26 -0400

I have used Roots with good results adding it to a Terra-Sorb
superabsorbent and injecting it into the root zone of oaks.  The trees
were treated July 1 and by the end of the month had developed a completely
new foliage cover.

If your company is as the name implies you should use Terra-Sorb when
moving trees.  A new company, Plant Health Care is introducing a new
product at the ASLA show in Cleveland next month which includes
Terra-Sorb, beneficial PT and VAM fungus, Yucca (root stimulant), humic
acid, and kelp.  You may call them at 800-421-9051.

I am CEO of Industrial Services International, Inc., in Bradenton, FL.  We
are the Terra-Sorb supplier to the markets.  If you want to know more
about our products - especially useful when moving and planting trees -
give me a call at 800-227-6728.

Regards,

Jim Quinn